/**
 * Method: same as the 100p method, but on 64-bit integers.
 */
#include <stdio.h>

#define MAX_W 1000
#define MIN(X, Y) (((X) < (Y)) ? (X) : (Y))

typedef unsigned long long u64;

u64 p[MAX_W];

int main() {
  int n, k, w, l, i, s;

  FILE *f = fopen("spoiler.in", "r");
  fscanf(f, "%d%d", &n, &k);
  fclose(f);

  w = (n + 1) / 2; /* winner's points */
  l = k - w;       /* loser's points */

  u64 q = 2;
  for (s = k - 1; s >= 0; s--) {
    for (i = MIN(s, w - 1); i >= s - i; i--) {
      int j = s - i;
      if (i == j) {
        /* S(i, j) = 1 + S(i + 1, j) */
        p[j] = q + 2 * p[j];
      } else if ((i > l) && (j == l)) {
        /* S(i, j) = S(i + 1, j) */
        p[j] = 2 * p[j];
      } else if ((i == w - 1) && (j < l)) {
        /* S(i, j) = S(i, j + 1) */
        p[j] = 2 * p[j + 1];
      } else {
        /* S(i, j) = 1 + 1/2 * (S(i + 1, j) + S(i, j + 1)) */
        p[j] = q + p[j] + p[j + 1];
      }
    }
    q <<= 1;
  }

  q >>= 1;
  while (p[0] % 2 == 0) {
    p[0] >>= 1;
    q >>= 1;
  }

  f = fopen("spoiler.out", "w");
  fprintf(f, "%llu\n%llu\n", p[0], q);
  fclose(f);

  return 0;
}
